Package com.orchestranetworks.ui.selection

# Interface TableViewEntitySelection

All Superinterfaces:
  `DatasetEntitySelection`, `DataspaceEntitySelection`, `EntitySelection`, `TableEntitySelection`

All Known Subinterfaces:
  `AssociationEntitySelection`

public interface TableViewEntitySelection extends TableEntitySelection
Provides information on the currently selected table and on the current record selection if any.

Since:
  5.8.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Request`
  `getAllRecords()`
  Returns records from the current table depending on the selection type: For an association selection returns all records for the association from the selected table, For other cases returns all records from the selected table.
  `List<SchemaNode>`
  `getDisplayedColumns()`
  Returns the list of columns that are currently displayed by the tabular view.
  `Request`
  `getFilteredRecords()`
  Returns the request corresponding to the current view in the EBX® user interface, including the filters and sort criteria set on the view.
  `Request`
  `getSelectedRecords()`
  Returns the request over the records currently selected in EBX® user interface.

  ### Methods inherited from interface com.orchestranetworks.ui.selection.DatasetEntitySelection

  `getDataset`

  ### Methods inherited from interface com.orchestranetworks.ui.selection.DataspaceEntitySelection

  `getDataspace`

  ### Methods inherited from interface com.orchestranetworks.ui.selection.TableEntitySelection

  `getTable`

- ## Method Details

  - ### getAllRecords

    Request getAllRecords()
    Returns records from the current table depending on the selection type:
    - For an association selection returns all records for the association from the selected table,
    - For other cases returns all records from the selected table.

    Note: Record-level permission rules may remove some records from the request.

  - ### getFilteredRecords

    Request getFilteredRecords()
    Returns the request corresponding to the current view in the EBX® user interface, including the filters and sort criteria set on the view. Never returns `null`.

    Note: When filtering is not available, the request will be the same as `getAllRecords()`. There is currently a limitation when displaying/executing a service from an intermediate level in a hierarchy, in such a case the request will also be the same as `getAllRecords()`.

    Warning: In the context of a table view with a very complex filter, executing the returned request can be very slow.

  - ### getSelectedRecords

    Request getSelectedRecords()
    Returns the request over the records currently selected in EBX® user interface.

    If no records are selected, the returned request will have an empty result. Never returns `null`.

    Note:

    - If a `ServicePermissionRule` is called to determine if the service must be displayed in a table view, the returned request will have an empty result (even if some records are selected). This is because the selected records can be modified by the user without calling the rule.
    - If a service is being displayed or launched from a single record context (the toolbar of a record form or a tabular view row), the returned request will only have this record as a result.

    Warning: In the context of a table view with a very complex filter, executing the returned request can be very slow.

  - ### getDisplayedColumns

    List<SchemaNode> getDisplayedColumns()
    Returns the list of columns that are currently displayed by the tabular view. May return `null` when the column list is not available, for example when EBX® user interface is displaying a hierarchical view or a form.